#!/usr/bin/perl

#  (C) 2004 Marcin Simonides
#
#  All rights reserved. This program is free software; you can redistribute
#  it and/or modify it under the same terms as Perl itself.

use strict;

sub ptscore {
	my $gamedir = shift;
	my $line;
	my $turn;

	open PTSCORE, "ptscore ". $gamedir . "|" || return undef;

	do {
		chomp($line = <PTSCORE>);
	} until (($line =~ /^Turn: (\d+)\s*$/) || (eof PTSCORE));

	return 1 if eof PTSCORE;

	$turn = $1;

	do {
		chomp($line = <PTSCORE>);
	} until (($line =~ /^----------------------------/) || (eof PTSCORE));

	return 1 if eof PTSCORE;

	my @scores;
	while(<PTSCORE> =~ /^\s*(\d+)\s+.+\s+(\d+)\s+(\d+)\s+\d+\s*$/) {
		$scores[$1 * 2 - 1] = $3;
		$scores[$1 * 2]     = $2;
	}

	close PTSCORE;

	print join("\t", $turn, (grep defined($_), @scores)), "\n";

	return 0;
}

if (defined($ARGV[0])) {
	exit ptscore($ARGV[0]);
} else {
	print "Usage: ptscore.pl <game_directory>\n";
	exit 64;
}
